export declare const pxToRem: (px: string, suffix?: string) => string;
export type ThemeColorTokens = {
    selfLearningLoginButton: string;
    selfLearningLoginButtonHover: string;
    surfacePrimary: string;
    surfaceSecondary1: string;
    surfaceSecondary2: string;
    surfaceSecondary3: string;
    surfaceSecondaryTopMenu: string;
    surfaceInlineCode: string;
    surfaceCode: string;
    surfaceCodeCopy: string;
    surfaceCodeHighlight: string;
    surfaceInfo: string;
    surfaceBeta: string;
    surfaceQuote: string;
    surfaceWarning: string;
    surfaceError: string;
    surfaceSearchHighlight: string;
    surfaceForAvatarIcon: string;
    surfaceForTopMenuSelectedItem: string;
    surfaceForTopMenuBottom: string;
    surfaceForSearchInputWhenDisabled: string;
    surfaceForReleaseNoteTypeFix: string;
    surfaceTagGreen: string;
    textPrimary: string;
    textSecondary: string;
    textFaded: string;
    textCode: string;
    textInfo: string;
    textError: string;
    textHighlight: string;
    textWarning: string;
    textInverted: string;
    textSearchHeading: string;
    textTagGreen: string;
    borderPrimary: string;
    borderSecondary: string;
    borderInput: string;
    borderHighlight: string;
    borderInfo: string;
    borderForReleaseNoteTypeFix: string;
    borderForReleaseNotesTag: string;
    link: string;
    linkHover: string;
    linkNavigation: string;
    headlinePrimary: string;
    iconSecondary: string;
    selectedItem: string;
    selectedItemBackground: string;
    selectedItemText: string;
    brandLogoColor: string;
};
export type ThemeCodeBlocksColorTokens = {
    borderForCodeBlock: string;
    surfaceForCodeBlock: string;
    surfaceHeaderForCodeBlock: string;
    surfaceLanguageDropdownForCodeBlock: string;
    surfaceLanguageDropdownHoverForCodeBlock: string;
    textHeaderForCodeBlock: string;
    surfaceCopyIconForCodeBlock: string;
    surfaceCopyIconHoverForCodeBlock: string;
    surfaceCopyTooltipForCodeBlock: string;
    textCopyTooltipForCodeBlock: string;
    surfaceLineHighlightForCodeBlock: string;
    surfacePromptForCodeBlock: string;
};
export type ThemeColors = {
    light: ThemeColorTokens & {
        codeBlocks: {
            primary: ThemeCodeBlocksColorTokens;
            secondary: ThemeCodeBlocksColorTokens;
        };
    };
};
export declare const colors: ThemeColors;
export declare const tokens: {
    readonly borderRadiusForBetaFlag: "var(--border-radius-4, 4px)";
    readonly borderRadiusForSearchDialog: "var(--border-radius-6, 6px)";
    readonly borderRadiusForSearchInput: "var(--border-radius-6, 6px)";
    readonly borderRadiusForCodeBlock: "var(--border-radius-6, 6px)";
    readonly borderRadiusForTooltip: "var(--border-radius-4, 4px)";
    readonly borderRadiusForContentNotification: "var(--border-radius-6, 6px)";
    readonly borderRadiusForImageFrame: "var(--border-radius-6, 6px)";
    readonly borderRadiusForBlockquote: "var(--border-radius-6, 6px)";
    readonly borderRadiusForCard: "var(--border-radius-8, 8px)";
    readonly borderRadiusForChildSectionNav: "var(--border-radius-6, 6px)";
    readonly borderRadiusForRssFeedTable: "var(--border-radius-6, 6px)";
    readonly shadowForBetaFlag: "var(--shadow-7, 0 -1px 1.5px 0 rgba(0, 0, 0, 0.12), 0 1px 1px 0 rgba(0, 0, 0, 0.24))";
    readonly shadowForSearchDialog: "var(--shadow-2, 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23))";
    readonly shadowForPageContent: "var(--shadow-11, 0 1px 0.5px rgba(0, 0, 0, 0.24), 0 -1px 0.75px rgba(0, 0, 0, 0.12))";
    readonly shadowForClickableCard: "1px 1px 4px 0 rgba(0, 0, 0, 0.24),\n  -1px 1px 3px 0 rgba(0, 0, 0, 0.12)";
    readonly shadowForClickableCardOnHover: "0 14px 28px 0 rgba(0, 0, 0, 0.25),\n  0 10px 10px 0 rgba(0, 0, 0, 0.23)";
    readonly shadowForRssFeedTable: "var(--shadow-7, 0 -1px 1.5px 0 rgba(0, 0, 0, 0.12), 0 1px 1px 0 rgba(0, 0, 0, 0.24))";
    readonly borderForCodeBlock: "var(--border-for-code-block)";
    readonly surfaceForCodeBlock: "var(--surface-for-code-block)";
    readonly surfaceHeaderForCodeBlock: "var(--surface-header-for-code-block)";
    readonly surfaceLanguageDropdownForCodeBlock: "var(--surface-language-dropdown-for-code-block)";
    readonly surfaceLanguageDropdownHoverForCodeBlock: "var(--surface-language-dropdown-hover-for-code-block)";
    readonly textHeaderForCodeBlock: "var(--text-header-for-code-block)";
    readonly surfaceCopyIconForCodeBlock: "var(--surface-copy-icon-for-code-block)";
    readonly surfaceCopyIconHoverForCodeBlock: "var(--surface-copy-icon-hover-for-code-block)";
    readonly surfaceCopyTooltipForCodeBlock: "var(--surface-copy-tooltip-for-code-block)";
    readonly textCopyTooltipForCodeBlock: "var(--text-copy-tooltip-for-code-block)";
    readonly surfaceLineHighlightForCodeBlock: "var(--surface-line-highlight-for-code-block)";
    readonly surfacePromptForCodeBlock: "var(--surface-prompt-for-code-block)";
    readonly websitePrimaryColor: "var(--website-primary-color)";
};
export declare const dimensions: {
    readonly heights: {
        readonly header: "48px";
        readonly inputSearchPrimary: "32px";
        readonly inputSearchSecondary: "26px";
        readonly childSectionNavLink: "28px";
        readonly pageSearchboxSpace: "58px";
        readonly globalNotificationContent: "36px";
        readonly globalNotificationWithSmallSpacing: "calc(36px + 8px)";
        readonly megaMenuItemTitle: "38px";
        readonly separatorLine: "22px";
    };
    readonly widths: {
        readonly pageContent: "770px";
        readonly pageContentSmall: "592px";
        readonly pageContentWide: "calc(770px + 592px + 32px)";
        readonly pageContentWithMargins: "calc(770px + 32px * 2)";
        readonly pageContentSmallWithMargins: "calc(592px + 16px * 2)";
        readonly pageContentSmallReleaseNotesWithMargins: "calc(474px + 16px * 2)";
        readonly pageContentReleaseNotesWithMargins: "calc(670px + 32px * 2)";
        readonly pageContentWideWithMargins: "calc(592px + 592px + 32px * 3)";
        readonly pageContentWideWithMarginsMax: "calc(770px + 592px + 32px * 3)";
        readonly pageContentWithMarginsAndPageNavigation: "calc(770px + 32px * 2 + 224px)";
        readonly pageNavigation: "224px";
        readonly pageNavigationSmall: "200px";
        readonly releaseNoteFilters: "324px";
        readonly marketingContent: "1168px";
        readonly searchBar: "300px";
        readonly searchBarSmall: "160px";
        readonly selectDropDownArrowWith: "12px";
        readonly sideBySideSecondColumn: "592px";
        readonly cardNarrowMinWidth: "242px";
        readonly cardRegularMinWidth: "328px";
        readonly cardRegularMinWidthInContentColumn: "288px";
        readonly topMenuSingleCoumn: "365px";
        readonly topMenuTreeColums: "calc(365px * 3)";
        readonly topMenuTwoColums: "calc(365px * 2)";
        readonly topMenuSingleCoumnShrink: "125px";
    };
    readonly viewports: {
        readonly mobile: "max-width: calc(768px - 0.02px)";
        readonly tablet: "min-width: calc(768px - 0.01px)";
        readonly largeTablet: "min-width: calc(848px - 0.01px)";
        readonly laptop: "min-width: calc(1024px - 0.01px)";
        readonly desktop: "min-width: calc(1280px - 0.01px)";
        readonly largeDesktop: "min-width: calc(1706px - 0.01px)";
    };
    readonly spacings: {
        readonly xs: string;
        readonly s: string;
        readonly m: string;
        readonly l: string;
        readonly xl: string;
        readonly xxl: string;
        readonly big: string;
        readonly large: string;
        readonly wide: string;
        readonly enormous: string;
        readonly huge: string;
    };
    readonly stacks: {
        readonly base: 1;
        readonly sidebar: 2;
        readonly overlay: 20;
        readonly aboveOverlay: 21;
    };
};
export declare const typography: {
    readonly fontFamilies: {
        readonly primary: "'Inter var', sans-serif";
        readonly code: "'Roboto Mono', monospace";
        readonly stringLiteral: "'Inter var', monospace";
    };
    readonly rootFontSize: "16px";
    readonly fontSizes: {
        readonly h1: string;
        readonly h2: string;
        readonly h3: string;
        readonly h4: string;
        readonly h5: string;
        readonly h6: string;
        readonly body: string;
        readonly small: string;
        readonly extraSmall: string;
        readonly ultraSmall: string;
    };
    readonly relativeFontSizes: {
        readonly ultraSmall: string;
        readonly superSmall: string;
    };
    readonly fontWeights: {
        readonly regular: "400";
        readonly medium: "500";
        readonly 'light-bold': "600";
        readonly bold: "700";
    };
    readonly lineHeights: {
        readonly small: string;
        readonly body: string;
        readonly releaseNoteHeader: string;
        readonly cardNormalTitle: string;
        readonly cardSmallTitle: string;
    };
};
export declare const tokensToCssVars: (obj: Record<string, string>) => {
    [k: string]: string;
};
